Bug 1417874 - Parent tenant displayed in list view when allowed by RBAC
Summary: Parent tenant displayed in list view when allowed by RBAC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Libor Pichler
QA Contact: Aziza Karol
URL:
Whiteboard: rbac:cfme_tenant
Depends On:
Blocks: 1430468 1460004
TreeView+ depends on / blocked
 
Reported: 2017-01-31 10:57 UTC by Aziza Karol
Modified: 2018-03-06 14:52 UTC (History)
8 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1430468 1460004 (view as bug list)
Environment:
Last Closed: 2018-03-06 14:52:48 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)
parent tenant summary page (117.07 KB, image/png)
2017-01-31 10:57 UTC, Aziza Karol
no flags Details
parent tenant displayed in list view (89.15 KB, image/png)
2017-01-31 10:58 UTC, Aziza Karol
no flags Details
parent tenant displayed in list view (116.92 KB, image/png)
2017-04-12 12:06 UTC, Aziza Karol
no flags Details

Description Aziza Karol 2017-01-31 10:57:44 UTC
Created attachment 1246150 [details]
parent tenant summary page

Description of problem:


Version-Release number of selected component (if applicable):
 5.7.1.0.20170124142149_8a5f4d5 

How reproducible:
100%

Steps to Reproduce:
Refer attached screenshots. Parent tenant is not displayed in its summary page but list view parent tenant is displayed .



Actual results:


Expected results:
Parent tenant should not be displayed in list view as well.

Additional info:

Comment 2 Aziza Karol 2017-01-31 10:58:25 UTC
Created attachment 1246151 [details]
parent tenant displayed in list view

Comment 5 Aziza Karol 2017-04-12 12:04:50 UTC
Parent tenant is still getting displayed in list view. see attached screenshot

version:5.8.0.9-alpha2.20170404195944_1d7ece4

Comment 6 Aziza Karol 2017-04-12 12:06:08 UTC
Created attachment 1271120 [details]
parent tenant displayed in list view

Comment 9 Aziza Karol 2017-10-17 15:04:50 UTC
Parent tenant is not displayed in list view when allowed by RBAC.

Verified: 5.9.0.2.20171010190026_0413a06


Note You need to log in before you can comment on or make changes to this bug.